// Rotary Encoder Reading with watch dog timer and Dual Gauge
// HighResEnc Version 1.0 by jumbler

#include <MsTimer2.h>
#define TIM MsTimer2

//pins
#define ENCA 2
#define ENCB 3
#define LED  4

//encoder constants
#define ENC_JUDGE 25
#define ECUR B00000011  // enc current position
#define EPRE B00001100  // enc previous position
#define EHOM B00110000  // enc home position
#define ETRG B01000000  // enc has been triggered
#define ECHG B10000000  // encoder count has been charged

const    byte  enc_pins[2] = {ENCA, ENCB};
volatile byte  enc_status;
volatile short enc_count = 0;
